using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace ProjectName
{
	class ProjectNameGame : Game
	{
		GraphicsDeviceManager graphics;

		public ProjectNameGame()
		{
			graphics = new GraphicsDeviceManager(this);
			graphics.PreferredBackBufferWidth = 1280;
			graphics.PreferredBackBufferHeight = 720;
			graphics.PreferMultiSampling = true;
			Content.RootDirectory = "Content";

			Window.AllowUserResizing = true;
			IsMouseVisible = true;
		}

		protected override void LoadContent()
		{
			base.LoadContent();
		}

		protected override void UnloadContent()
		{
			base.UnloadContent();
		}

		protected override void Update(GameTime gameTime)
		{
			//
			// Insert your game update logic here.
			//

			base.Update(gameTime);
		}

		protected override void Draw(GameTime gameTime)
		{
			//
			// Replace this with your own drawing code.
			//

			GraphicsDevice.Clear(Color.CornflowerBlue);

			base.Draw(gameTime);
		}
	}
}
